export var color_mappings = {
    default: {
        light: {
            accent_color: { color: "primary", opacity: 1 },
            accent_bg_color: { color: "primaryContainer", opacity: 1 },
            accent_fg_color: { color: "onPrimaryContainer", opacity: 1 },
            window_bg_color: { color: "surface", opacity: 1 },
            window_fg_color: { color: "onSurface", opacity: 1 },
            view_bg_color: { color: "surface", opacity: 1 },
            view_fg_color: { color: "onSurface", opacity: 1 },
            headerbar_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "primary", opacity: 0.08 },
            ],
            headerbar_fg_color: [
                { color: "onSurface", opacity: 1 },
                { color: "primary", opacity: 0.08 },
            ],
            card_bg_color: { color: "primary", opacity: 0.05 },
            card_fg_color: { color: "onSurface", opacity: 1 },
            dialog_bg_color: { color: "secondaryContainer", opacity: 1 },
            dialog_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            popover_bg_color: { color: "secondaryContainer", opacity: 1 },
            popover_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.08},
            ],
            sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.08},
            ],
            secondary_sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.08},
            ],
            secondary_sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.08},
            ],
        },
        dark: {
            accent_color: { color: "primary", opacity: 1 },
            accent_bg_color: { color: "primaryContainer", opacity: 1 },
            accent_fg_color: { color: "onPrimaryContainer", opacity: 1 },
            window_bg_color: { color: "surface", opacity: 1 },
            window_fg_color: { color: "onSurface", opacity: 1 },
            view_bg_color: { color: "surface", opacity: 1 },
            view_fg_color: { color: "onSurface", opacity: 1 },
            headerbar_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "primary", opacity: 0.08 },
            ],
            headerbar_fg_color: [
                { color: "onSurface", opacity: 1 },
                { color: "primary", opacity: 0.08 },
            ],
            card_bg_color: { color: "primary", opacity: 0.05 },
            card_fg_color: { color: "onSurface", opacity: 1 },
            dialog_bg_color: { color: "secondaryContainer", opacity: 1 },
            dialog_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            popover_bg_color: { color: "secondaryContainer", opacity: 1 },
            popover_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.08},
            ],
            sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.08},
            ],
            secondary_sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.08},
            ],
            secondary_sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.08},
            ],
        },
    },
    vibrant: {
        light: {
            accent_color: { color: "primary", opacity: 1 },
            accent_bg_color: { color: "primary", opacity: 1 },
            accent_fg_color: { color: "onPrimary", opacity: 1 },
            window_bg_color: { color: "surface", opacity: 1 },
            window_fg_color: { color: "onSurface", opacity: 1 },
            view_bg_color: { color: "surface", opacity: 1 },
            view_fg_color: { color: "onSurface", opacity: 1 },
            headerbar_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "primary", opacity: 0.14 },
            ],
            headerbar_fg_color: [
                { color: "onSurface", opacity: 1 },
                { color: "primary", opacity: 0.14 },
            ],
            card_bg_color: { color: "primary", opacity: 0.12 },
            card_fg_color: { color: "onSurface", opacity: 1 },
            dialog_bg_color: { color: "tertiaryContainer", opacity: 1 },
            dialog_fg_color: { color: "onTertiaryContainer", opacity: 1 },
            popover_bg_color: { color: "tertiaryContainer", opacity: 1 },
            popover_fg_color: { color: "onTertiaryContainer", opacity: 1 },
            sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.14},
            ],
            sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.14},
            ],
            secondary_sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.14},
            ],
            secondary_sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.14},
            ],
        },
        dark: {
            accent_color: { color: "primary", opacity: 1 },
            accent_bg_color: { color: "primary", opacity: 1 },
            accent_fg_color: { color: "onPrimary", opacity: 1 },
            window_bg_color: { color: "surface", opacity: 1 },
            window_fg_color: { color: "onSurface", opacity: 1 },
            view_bg_color: { color: "surface", opacity: 1 },
            view_fg_color: { color: "onSurface", opacity: 1 },
            headerbar_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "primary", opacity: 0.14 },
            ],
            headerbar_fg_color: [
                { color: "onSurface", opacity: 1 },
                { color: "primary", opacity: 0.14 },
            ],
            card_bg_color: { color: "primary", opacity: 0.12 },
            card_fg_color: { color: "onSurface", opacity: 1 },
            dialog_bg_color: { color: "tertiaryContainer", opacity: 1 },
            dialog_fg_color: { color: "onTertiaryContainer", opacity: 1 },
            popover_bg_color: { color: "tertiaryContainer", opacity: 1 },
            popover_fg_color: { color: "onTertiaryContainer", opacity: 1 },
            sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.14},
            ],
            sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.14},
            ],
            secondary_sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.14},
            ],
            secondary_sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.14},
            ],

        },
    },
    expressive: {
        light: {
            accent_color: { color: "primary", opacity: 1 },
            accent_bg_color: { color: "primaryContainer", opacity: 1 },
            accent_fg_color: { color: "onPrimaryContainer", opacity: 1 },
            window_bg_color: { color: "surface", opacity: 1 },
            window_fg_color: { color: "onSurface", opacity: 1 },
            view_bg_color: { color: "surface", opacity: 1 },
            view_fg_color: { color: "onSurface", opacity: 1 },
            headerbar_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "primary", opacity: 0.08 },
            ],
            headerbar_fg_color: [
                { color: "onSurface", opacity: 1 },
                { color: "primary", opacity: 0.08 },
            ],
            card_bg_color: { color: "primary", opacity: 0.05 },
            card_fg_color: { color: "onSurface", opacity: 1 },
            dialog_bg_color: { color: "tertiaryContainer", opacity: 1 },
            dialog_fg_color: { color: "onTertiaryContainer", opacity: 1 },
            popover_bg_color: { color: "tertiaryContainer", opacity: 1 },
            popover_fg_color: { color: "onTertiaryContainer", opacity: 1 },

        },
        dark: {
            accent_color: { color: "primary", opacity: 1 },
            accent_bg_color: { color: "primaryContainer", opacity: 1 },
            accent_fg_color: { color: "onPrimaryContainer", opacity: 1 },
            window_bg_color: { color: "surface", opacity: 1 },
            window_fg_color: { color: "onSurface", opacity: 1 },
            view_bg_color: { color: "surface", opacity: 1 },
            view_fg_color: { color: "onSurface", opacity: 1 },
            headerbar_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "primary", opacity: 0.08 },
            ],
            headerbar_fg_color: [
                { color: "onSurface", opacity: 1 },
                { color: "primary", opacity: 0.08 },
            ],
            card_bg_color: { color: "primary", opacity: 0.05 },
            card_fg_color: { color: "onSurface", opacity: 1 },
            dialog_bg_color: { color: "tertiaryContainer", opacity: 1 },
            dialog_fg_color: { color: "onTertiaryContainer", opacity: 1 },
            popover_bg_color: { color: "tertiaryContainer", opacity: 1 },
            popover_fg_color: { color: "onTertiaryContainer", opacity: 1 },
        },
    },
    "fruit salad": {
        light: {
            accent_color: { color: "primary", opacity: 1 },
            accent_bg_color: { color: "primaryContainer", opacity: 1 },
            accent_fg_color: { color: "onPrimaryContainer", opacity: 1 },
            window_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "tertiary", opacity: 0.05 },
            ],
            window_fg_color: { color: "onSurface", opacity: 1 },
            view_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "tertiary", opacity: 0.05 },
            ],
            view_fg_color: { color: "onSurface", opacity: 1 },
            headerbar_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "tertiary", opacity: 0.08 },
            ],
            headerbar_fg_color: [
                { color: "onSurface", opacity: 1 },
                { color: "tertiary", opacity: 0.08 },
            ],
            card_bg_color: { color: "tertiary", opacity: 0.05 },
            card_fg_color: { color: "onSurface", opacity: 1 },
            dialog_bg_color: { color: "secondaryContainer", opacity: 1 },
            dialog_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            popover_bg_color: { color: "secondaryContainer", opacity: 1 },
            popover_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.08},
            ],
            sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.08},
            ],
            secondary_sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.08},
            ],
            secondary_sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.08},
            ],
        },
        dark: {
            accent_color: { color: "primary", opacity: 1 },
            accent_bg_color: { color: "primaryContainer", opacity: 1 },
            accent_fg_color: { color: "onPrimaryContainer", opacity: 1 },
            window_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "tertiary", opacity: 0.05 },
            ],
            window_fg_color: { color: "onSurface", opacity: 1 },
            view_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "tertiary", opacity: 0.05 },
            ],
            view_fg_color: { color: "onSurface", opacity: 1 },
            headerbar_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "tertiary", opacity: 0.08 },
            ],
            headerbar_fg_color: [
                { color: "onSurface", opacity: 1 },
                { color: "tertiary", opacity: 0.08 },
            ],
            card_bg_color: { color: "tertiary", opacity: 0.05 },
            card_fg_color: { color: "onSurface", opacity: 1 },
            dialog_bg_color: { color: "secondaryContainer", opacity: 1 },
            dialog_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            popover_bg_color: { color: "secondaryContainer", opacity: 1 },
            popover_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.08},
            ],
            sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.08},
            ],
            secondary_sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.08},
            ],
            secondary_sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.08},
            ],
        },
    },
    muted: {
        light: {
            accent_color: { color: "secondary", opacity: 1 },
            accent_bg_color: { color: "secondaryContainer", opacity: 1 },
            accent_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            window_bg_color: { color: "surface", opacity: 1 },
            window_fg_color: { color: "onSurface", opacity: 1 },
            view_bg_color: { color: "surface", opacity: 1 },
            view_fg_color: { color: "onSurface", opacity: 1 },
            headerbar_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "secondary", opacity: 0.05 },
            ],
            headerbar_fg_color: [
                { color: "onSurface", opacity: 1 },
                { color: "secondary", opacity: 0.05 },
            ],
            card_bg_color: { color: "secondary", opacity: 0.05 },
            card_fg_color: { color: "onSurface", opacity: 1 },
            dialog_bg_color: { color: "secondaryContainer", opacity: 1 },
            dialog_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            popover_bg_color: { color: "secondaryContainer", opacity: 1 },
            popover_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.05},
            ],
            sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.05},
            ],
            secondary_sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.05},
            ],
            secondary_sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.05},
            ],
        },
        dark: {
            accent_color: { color: "secondary", opacity: 1 },
            accent_bg_color: { color: "secondaryContainer", opacity: 1 },
            accent_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            window_bg_color: { color: "surface", opacity: 1 },
            window_fg_color: { color: "onSurface", opacity: 1 },
            view_bg_color: { color: "surface", opacity: 1 },
            view_fg_color: { color: "onSurface", opacity: 1 },
            headerbar_bg_color: [
                { color: "surface", opacity: 1 },
                { color: "secondary", opacity: 0.05 },
            ],
            headerbar_fg_color: [
                { color: "onSurface", opacity: 1 },
                { color: "secondary", opacity: 0.05 },
            ],
            card_bg_color: { color: "secondary", opacity: 0.05 },
            card_fg_color: { color: "onSurface", opacity: 1 },
            dialog_bg_color: { color: "secondaryContainer", opacity: 1 },
            dialog_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            popover_bg_color: { color: "secondaryContainer", opacity: 1 },
            popover_fg_color: { color: "onSecondaryContainer", opacity: 1 },
            sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.05},
            ],
            sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.05},
            ],
            secondary_sidebar_bg_color: [
              { color: "surface", opacity: 1},
              { color: "primary", opacity: 0.05},
            ],
            secondary_sidebar_fg_color: [
              { color: "onSurface", opacity: 1},
              {color: "primary", opacity: 0.05},
            ],
        },
    }
};
